%define libxfont %mklibname xfont 1
Name: libxfont
Summary:  X font Library
Version: 1.4.5
Release: %mkrel 3
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# submitted upstream as bug #11573
Patch3: libXfont-1.3.4-rescan-catalogue-dir-fontpaths-on-directory-change.patch

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: bzip2-devel

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}
Requires: x11-font-encodings

%description -n %{libxfont}
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfont} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfont-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfont}-devel
Development files for %{name}

%files -n %{libxfont}-devel
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%package -n %{libxfont}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfont}-devel = %{version}
Provides: libxfont-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfont}-static-devel
Static development files for %{name}

%files -n %{libxfont}-static-devel
%{_libdir}/libXfont.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%patch3 -p1 -b .check-dirs-mtime

%build
%configure2_5x --enable-static \
	--with-encodingsdir=%{_datadir}/fonts/encodings \
	--with-bzip2
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libxfont}
%{_libdir}/libXfont.so.1
%{_libdir}/libXfont.so.1.*


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.5-3.mga3
+ Revision: 397157
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-2.mga3
+ Revision: 358575
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.4.5-1.mga2
+ Revision: 218463
- new release

* Thu Dec 22 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 186034
- drop .la file

  + tv <tv>
    - new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.4.3-1.mga1
+ Revision: 5612
- imported package libxfont

